/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(0.18), np.float32(-2.38), np.float32(2.6), np.float32(0.16), np.float32(2.5), np.float32(2.16))
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(-0.27), np.float32(-1.72), np.float32(0.21999991), np.float32(0.96), np.float32(0.65), np.float32(-0.7099999))
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(-0.27), np.float32(-1.72), np.float32(0.21999991), np.float32(0.96), np.float32(0.65), np.float32(-0.7099999))
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(-0.72), np.float32(-1.06), np.float32(-2.16), np.float32(1.76), np.float32(-1.2), np.float32(-3.58))
 */
#version 120

void main()
{
  float[pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(0.18), np.float32(-2.38))), 2) + pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(2.6), np.float32(0.16))), 2) + pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(2.5), np.float32(2.16))), 2) <= np.float32(2.3398e-09) ? 1 : -1] array0;
  float[pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(-0.27), np.float32(-1.72))), 2) + pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(0.21999991), np.float32(0.96))), 2) + pow(distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(0.65), np.float32(-0.7099999))), 2) <= np.float32(4.9279003e-10) ? 1 : -1] array1;
  float[pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(-0.27), np.float32(-1.72))), 2) + pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(0.21999991), np.float32(0.96))), 2) + pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(0.65), np.float32(-0.7099999))), 2) <= np.float32(4.9279003e-10) ? 1 : -1] array2;
  float[pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(-0.72), np.float32(-1.06))), 2) + pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(-2.16), np.float32(1.76))), 2) + pow(distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(-1.2), np.float32(-3.58))), 2) <= np.float32(2.36616e-09) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
