/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => mat2x3(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => mat2x3(np.float32(-1.84), np.float32(0.82), np.float32(0.029999971), np.float32(3.02), np.float32(-2.58), np.float32(0.24000001))
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => mat2x3(np.float32(1.84), np.float32(-0.82), np.float32(-0.029999971), np.float32(-3.02), np.float32(2.58), np.float32(-0.24000001))
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => mat2x3(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 */
#version 120

void main()
{
  float[pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[0], vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))), 2) + pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[1], vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))), 2) <= np.float32(0.0) ? 1 : -1] array0;
  float[pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[0], vec3(np.float32(-1.84), np.float32(0.82), np.float32(0.029999971))), 2) + pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[1], vec3(np.float32(3.02), np.float32(-2.58), np.float32(0.24000001))), 2) <= np.float32(1.9893303e-09) ? 1 : -1] array1;
  float[pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[0], vec3(np.float32(1.84), np.float32(-0.82), np.float32(-0.029999971))), 2) + pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[1], vec3(np.float32(-3.02), np.float32(2.58), np.float32(-0.24000001))), 2) <= np.float32(1.9893303e-09) ? 1 : -1] array2;
  float[pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[0], vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))), 2) + pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) - mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[1], vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))), 2) <= np.float32(0.0) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
