/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(0.0081), np.float32(1.4161001), np.float32(1.6899998), np.float32(0.0064), np.float32(1.5625), np.float32(1.1664001))
 * matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(-0.0324), np.float32(0.6307), np.float32(-1.404), np.float32(0.0704), np.float32(-0.75), np.float32(-1.9332))
 * matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(-0.0324), np.float32(0.6307), np.float32(-1.404), np.float32(0.0704), np.float32(-0.75), np.float32(-1.9332))
 * matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(0.1296), np.float32(0.28089997), np.float32(1.1664001), np.float32(0.7744), np.float32(0.36), np.float32(3.2041))
 */
#version 150

void main()
{
  float[pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(0.0081), np.float32(1.4161001))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(1.6899998), np.float32(0.0064))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(1.5625), np.float32(1.1664001))), 2) <= np.float32(8.663441e-10) ? 1 : -1] array0;
  float[pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(-0.0324), np.float32(0.6307))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(-1.404), np.float32(0.0704))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(-0.75), np.float32(-1.9332))), 2) <= np.float32(6.674767e-10) ? 1 : -1] array1;
  float[pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(-0.0324), np.float32(0.6307))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(-1.404), np.float32(0.0704))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(-0.75), np.float32(-1.9332))), 2) <= np.float32(6.674767e-10) ? 1 : -1] array2;
  float[pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(0.1296), np.float32(0.28089997))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(1.1664001), np.float32(0.7744))), 2) + pow(distance(matrixCompMult(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)), mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(0.36), np.float32(3.2041))), 2) <= np.float32(1.2451743e-09) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
