/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (+ np.uint32(0)u) => np.uint32(0)u
 * (+ np.uint32(6)u) => np.uint32(6)u
 * (+ np.uint32(12)u) => np.uint32(12)u
 * (+ np.uint32(32)u) => np.uint32(32)u
 * (+ np.uint32(74)u) => np.uint32(74)u
 */
#version 150

void main()
{
  float[(+ np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[(+ np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array1;
  float[(+ np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array2;
  float[(+ np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array3;
  float[(+ np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array4;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
